> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/clear-udelement.md).

# Clear-UDElement

Clear-UDElement fjerner alle underordnede elementer fra et angivet element i et PowerShell Universal-dashboard, og funktionsmåden varierer efter elementtype.

### Synopsis

Fjerner alle underordnede elementer fra det angivne element.

### Syntaks

```powershell
Clear-UDElement [-Id] <String> [-Broadcast] [<CommonParameters>]
```

### Beskrivelse

Fjerner alle underordnede elementer fra det angivne element. Denne cmdlet kan opføre sig forskelligt afhængigt af typen af overordnet element.

### Parametre

#### -Id

Id'et for det element, der skal ryddes.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Om elementet skal ryddes på alle tilsluttede klienter.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Fælles parametre

Denne cmdlet understøtter de fælles parametre: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable og OutVariable. Se [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

### Output

### Eksempler

#### Eksempel 1: ryd element

```powershell
New-UDElement -Tag 'div' -Id 'clearElement1' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Clear-UDElement -Id 'clearElement1'
}
```

Rydder et element.

#### Eksempel 2: Broadcast

```powershell
New-UDElement -Tag 'div' -Id 'clearElement2' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Clear-UDElement -Id 'clearElement2' -Broadcast
}
```

Rydder et element og udsender det til alle tilsluttede dashboards.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/clear-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
